Last Comment Bug 307643 - mac l10n repackaging broken on 1.8 branch
: mac l10n repackaging broken on 1.8 branch
Status: RESOLVED FIXED
: fixed1.8
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: 1.8 Branch
: PowerPC Mac OS X
: -- blocker (vote)
: mozilla1.8alpha5
Assigned To: Mark Mentovai
: Chris McAfee
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-09 01:17 PDT by Axel Hecht [:Pike]
Modified: 2005-09-13 13:54 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix (1.67 KB, patch)
2005-09-09 12:27 PDT, Mark Mentovai
chase: review+
asa: approval1.8b5+
Details | Diff | Splinter Review

Description Axel Hecht [:Pike] 2005-09-09 01:17:16 PDT
We don't have current mac builds, as the repackaging collapsed again.

MacOSX Darwin 7.9.0 maya Clbr Fx-Release didn't build for quite some time,
I guess the yellow on 
http://tinderbox.mozilla.org/showbuilds.cgi?tree=Mozilla1.8-l10n&hours=24&maxdate=1126210526&legend=0

broke it.
Comment 1 Mark Mentovai 2005-09-09 12:27:28 PDT
Created attachment 195446 [details] [diff] [review]
fix

In order to extract the license from the dmg, we:
 - unflatten it, putting the license in a resource fork
 - run DeRez, to slurp the license resources out
 - flatten it again, hopefully restoring the dmg to its original state

Read-only/read-write only applies to the filesystem within the dmg.  This (and
only this) part of the unpackaging deals with the file directly.  This process
should leave the "in" dmg in exactly the same state that it was discovered, and
I've never seen it ruin the file, but that's what's happening here.

So, we can change the process above to:
 - copy the "in" dmg to a temporary location
 - unflatten it, putting the license in a resource fork
 - run DeRez, to slurp the license resources out
 - remove the "in" dmg
Comment 2 Mark Mentovai 2005-09-09 12:37:29 PDT
(In reply to comment #1)
>  - remove the "in" dmg

The temporary one, I mean.
Comment 3 Mark Mentovai 2005-09-09 19:26:44 PDT
Checked in on the trunk.  Will hit the branch when it opens.  No official
localized Mac Firefox 1.5b1s, tough luck.

Note that trunk Firefox l10n repackaging is failing for a different reason: maya
is configured with --enable-official-branding and is looking for Firefox.app,
but atlantia is using generic branding, providing DeerPark.app.
Comment 4 Mark Mentovai 2005-09-12 16:58:15 PDT
Checked in, branch.
Comment 5 Chase Phillips 2005-09-13 13:54:34 PDT
We've got new Mac l10n builds in
http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla1.8-l10n/.
 Fix is verified.

Note You need to log in before you can comment on or make changes to this bug.